package com.ruoyi.ss.deviceSuit.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备套餐关联对象 ss_device_suit
 *
 * @author ruoyi
 * @date 2024-07-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DeviceSuit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("${comment}")
    private Long id;

    @Excel(name = "设备ID")
    @ApiModelProperty("设备ID")
    private Long deviceId;

    @Excel(name = "套餐ID")
    @ApiModelProperty("套餐ID")
    private Long suitId;

}
