package com.ruoyi.ss.transactionBill.domain.dto;

import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.transactionBill.domain.TransactionBill;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import com.ruoyi.ss.user.domain.SmUserVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 充值订单支付BO
 * @author wjh
 * 2024/8/14
 */
@Data
public class RechargePayBO {
    // 待支付的订单
    private TransactionBillVO order;

    // 渠道
    private ChannelVO channel;

    // 用户
    private SmUserVo user;

    // 商户
    private SmUserVo mch;

    // 设备
    private DeviceVO device;

}
